Summary: dnsmasq - a DNS forwarder
Name: dnsmasq
Version: 2.43
Release: 0.endian0
License: GPL
Group: System Environment/Daemons
URL: http://thekelleys.org.uk/dnsmasq
Source0: http://www.thekelleys.org.uk/dnsmasq/dnsmasq-2.43.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Dnsmasq is a lightweight, easy to configure DNS forwarder and DHCP server.
It is designed to provide DNS and (optionally) DHCP to a small network.
It can serve the names of local machines which are not in the global
DNS. The DHCP server integrates with the DNS server and allows machines
with DHCP-allocated addresses to appear in the DNS with names configured
either in each host or in a central configuration file. Dnsmasq supports
static and dynamic DHCP leases and BOOTP for network booting of diskless
machines.

%package extras
Summary: dnsmasq - a DNS forwarder
Group: Development/Libraries
Requires: %{name} = %{version}

%description extras
Dnsmasq is a lightweight, easy to configure DNS forwarder and DHCP server.
It is designed to provide DNS and (optionally) DHCP to a small network.
It can serve the names of local machines which are not in the global
DNS. The DHCP server integrates with the DNS server and allows machines
with DHCP-allocated addresses to appear in the DNS with names configured
either in each host or in a central configuration file. Dnsmasq supports
static and dynamic DHCP leases and BOOTP for network booting of diskless
machines.

This package contains the ripped down files.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

sed -i \
    -e 's%^BINDIR.*$%BINDIR = ${PREFIX}/usr/sbin%' \
    -e 's%^MANDIR.*$%MANDIR = ${PREFIX}/usr/share/man%' Makefile
sed -i 's/^#define CHUSER .*$/#define CHUSER "dnsmasq"/' src/config.h

%build
make

%install
%makeinstall PREFIX=$RPM_BUILD_ROOT/

%files
%defattr(-,root,root,0755)
/usr/sbin/dnsmasq

%files extras
%{_datadir}/man/man8/dnsmasq.8.gz


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jul 11 2008  Mike Tremaine <mgt@stellarcore.net>
- upgrade to new version due to a CERT DNS security advisory

* Fri May 25 2006 Peter Warasin <raphael@endian.it> 
- upgrade to new version due to a security advisory

* Fri Jun 17 2005 Peter Warasin <raphael@endian.it> 
- initial package creation

